Help with Upgrade from 0.8.3 to 0.8.5 Rake error

Added by West Dude almost 13 years ago

Hi everyone. I've been attempting to upgrade my redmine from 0.8.3 to 0.8.5 and I followed the instruction on this link http://www.redmine.org/wiki/1/RedmineUpgrade to the point when I hit the dbase upgrade part and I'm stuck.

/opt/ruby-enterprise/bin/rake db:migrate RAILS_ENV="production" –-trace
gives me this error.

rake aborted!
No Rakefile found (looking for: rakefile, Rakefile, rakefile.rb, Rakefile.rb)
/opt/ruby-enterprise/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2353:in `raw_load_rakefile'
/opt/ruby-enterprise/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1993:in `load_rakefile'
/opt/ruby-enterprise/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2044:in `standard_exception_handling'
/opt/ruby-enterprise/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1992:in `load_rakefile'
/opt/ruby-enterprise/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1976:in `run'
/opt/ruby-enterprise/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2044:in `standard_exception_handling'
/opt/ruby-enterprise/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1974:in `run'
/opt/ruby-enterprise/lib/ruby/gems/1.8/gems/rake-0.8.4/bin/rake:31
/opt/ruby-enterprise/bin/rake:19:in `load'
/opt/ruby-enterprise/bin/rake:19

For some reason I searched and searched and I couldn't find any solution to it. Not sure where to go from here. Please help? I'm sure it must be a simple solution to it but since I'm new to Ruby, this is very confusing for me. Many thanks in advance for all of your help..

Replies (1)

RE: Help with Upgrade from 0.8.3 to 0.8.5 Rake error - Added by West Dude almost 13 years ago

Gosh. I'm going to be answering my own question. The answer is so simple that it's mind boggling. All you need to do is change directory to where your redmine is installed at and execute the command from that directory. Interesting and I thought I share with you all. Have a nice day.

(1-1/1)